Package com.independentsoft.office.diagrams

# Class Layout

java.lang.Object
com.independentsoft.office.diagrams.Layout

public class Layout extends Object
The Class Layout.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Layout()`
  Instantiates a new layout.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Layout`
  `clone()`
  `List<Category>`
  `getCategories()`
  Gets the categories.
  `ColorTransformSampleData`
  `getColorTransformSampleData()`
  Gets the color transform sample data.
  `String`
  `getDefaultStyle()`
  Gets the default style.
  `List<Description>`
  `getDescriptions()`
  Gets the descriptions.
  `LayoutNode`
  `getLayoutNode()`
  Gets the layout node.
  `String`
  `getMinimumVersion()`
  Gets the minimum version.
  `String`
  `getResourceID()`
  Gets the resource id.
  `SampleData`
  `getSampleData()`
  Gets the sample data.
  `StyleData`
  `getStyleData()`
  Gets the style data.
  `List<Title>`
  `getTitles()`
  Gets the titles.
  `String`
  `getUniqueID()`
  Gets the unique id.
  `void`
  `setColorTransformSampleData​(ColorTransformSampleData colorTransformSampleData)`
  Sets the color transform sample data.
  `void`
  `setDefaultStyle​(String defaultStyle)`
  Sets the default style.
  `void`
  `setLayoutNode​(LayoutNode layoutNode)`
  Sets the layout node.
  `void`
  `setMinimumVersion​(String minimumVersion)`
  Sets the minimum version.
  `void`
  `setResourceID​(String resourceID)`
  Sets the resource id.
  `void`
  `setSampleData​(SampleData sampleData)`
  Sets the sample data.
  `void`
  `setStyleData​(StyleData styleData)`
  Sets the style data.
  `void`
  `setUniqueID​(String uniqueID)`
  Sets the unique id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Layout

    public Layout()
    Instantiates a new layout.

- ## Method Details

  - ### clone

    public Layout clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCategories

    public List<Category> getCategories()
    Gets the categories.
    Returns:
      the categories

  - ### getDescriptions

    public List<Description> getDescriptions()
    Gets the descriptions.
    Returns:
      the descriptions

  - ### getTitles

    public List<Title> getTitles()
    Gets the titles.
    Returns:
      the titles

  - ### getSampleData

    public SampleData getSampleData()
    Gets the sample data.
    Returns:
      the sample data

  - ### setSampleData

    public void setSampleData​(SampleData sampleData)
    Sets the sample data.
    Parameters:
      `sampleData` - the new sample data

  - ### getColorTransformSampleData

    public ColorTransformSampleData getColorTransformSampleData()
    Gets the color transform sample data.
    Returns:
      the color transform sample data

  - ### setColorTransformSampleData

    public void setColorTransformSampleData​(ColorTransformSampleData colorTransformSampleData)
    Sets the color transform sample data.
    Parameters:
      `colorTransformSampleData` - the new color transform sample data

  - ### getStyleData

    public StyleData getStyleData()
    Gets the style data.
    Returns:
      the style data

  - ### setStyleData

    public void setStyleData​(StyleData styleData)
    Sets the style data.
    Parameters:
      `styleData` - the new style data

  - ### getLayoutNode

    public LayoutNode getLayoutNode()
    Gets the layout node.
    Returns:
      the layout node

  - ### setLayoutNode

    public void setLayoutNode​(LayoutNode layoutNode)
    Sets the layout node.
    Parameters:
      `layoutNode` - the new layout node

  - ### getDefaultStyle

    public String getDefaultStyle()
    Gets the default style.
    Returns:
      the default style

  - ### setDefaultStyle

    public void setDefaultStyle​(String defaultStyle)
    Sets the default style.
    Parameters:
      `defaultStyle` - the new default style

  - ### getMinimumVersion

    public String getMinimumVersion()
    Gets the minimum version.
    Returns:
      the minimum version

  - ### setMinimumVersion

    public void setMinimumVersion​(String minimumVersion)
    Sets the minimum version.
    Parameters:
      `minimumVersion` - the new minimum version

  - ### getResourceID

    public String getResourceID()
    Gets the resource id.
    Returns:
      the resource id

  - ### setResourceID

    public void setResourceID​(String resourceID)
    Sets the resource id.
    Parameters:
      `resourceID` - the new resource id

  - ### getUniqueID

    public String getUniqueID()
    Gets the unique id.
    Returns:
      the unique id

  - ### setUniqueID

    public void setUniqueID​(String uniqueID)
    Sets the unique id.
    Parameters:
      `uniqueID` - the new unique id